/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DCHANNEL_H
#define _DCHANNEL_H


#include <dnpap.h>
#include <mac.h>
#include <snmp.h>


BOOLEAN DnpapChannelMInit(VOID);

WORD DnpapChannelIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelIfIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelAcceptType (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelDataControl (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelTurnOnEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelTurnOffEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelEventStatus (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelMatches (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelDescription (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapChannelStatus (SNMP_OBJECT *Obj, WORD IdLen);

VOID DnpapChannelEventGenerated(LONG eventIndex);

INT DnpapChannelType(LONG channelIndex);
MAC_IFACE *DnpapChannelGetIface(LONG channelIndex);


#endif
