include ../../../include/gcc_unx.std

MCFLAGS	= -I. -I../channel

SYS	= devent
SYSLIB	= dcollect

all: obj 

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)m.o $(SYS)c.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)m.o $(SYS)c.o $(SYS)u.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)m.o $(SYS)c.o $(SYS)u.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)m.o: $(SYS)m.c $(SYS).h $(SYS)d.h $(SYS)c.h $(SYS)e.h $(SYS)u.h

$(SYS)c.o: $(SYS)c.c $(SYS)d.h $(SYS)c.h

$(SYS)u.o: $(SYS)u.c $(SYS)u.h



