/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DHOSTM_H
#define _DHOSTM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapHostMInit(VOID);

WORD DnpapHostControlIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlDataSource(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlAcceptType(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlMatches(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlBuckets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlInterval(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlOwner(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlStatus(SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapHostAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);
#ifdef NOT_HOST_GENERIC
WORD DnpapHostInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
#endif
WORD DnpapHostInPkts64 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts64 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapHostIFTAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTInterval(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTIATPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTISTPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTIATOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTISTOctets(SNMP_OBJECT *Obj, WORD IdLen);


WORD DnpapHostTimeAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);
#ifdef NOT_HOST_GENERIC
WORD DnpapHostTimeInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
#endif
WORD DnpapHostTimeInPkts64 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts64 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapHostIFTTimeAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeInterval(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeIATPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeISTPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeIATOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIFTTimeISTOctets(SNMP_OBJECT *Obj, WORD IdLen);

VOID DnpapHostChannelStop(LONG channelIndex);
VOID DnpapHostPkt(LONG channelIndex, PROT_PKT *pkt);


#endif
