/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _HOSTM_H
#define _HOSTM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN HostMInit(VOID);

WORD hostControlIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostControlDataSource(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostControlTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostControlOwner(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostControlStatus(SNMP_OBJECT *Obj, WORD IdLen);

WORD hostAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);

WORD hostTimeAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD hostTimeOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);

VOID HostChannelStop(LONG channelIndex);
VOID HostPkt(LONG channelIndex, PROT_PKT *pkt);


#endif
