/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _LOG_M_H
#define _LOG_M_H


#include <dnpap.h>
#include <mibsup.h>


#define RMONLOG_SZEDESCR    256

#define MINALLOCLOGS        25


typedef struct RmonLog_
{
    LONG  Index;
    ULONG Time;
    CHAR  Description[RMONLOG_SZEDESCR];
    UINT  DescrLen;

} RmonLog;


WORD LogEventIndex(SNMP_OBJECT *obj, WORD idlen, RmonLog *log);
WORD LogIndex(SNMP_OBJECT *obj, WORD idlen, RmonLog *log);
WORD LogTime(SNMP_OBJECT *obj, WORD idlen, RmonLog *log);
WORD LogDescription(SNMP_OBJECT *obj, WORD idlen, RmonLog *log);

RmonLog *NewRmonLog(WORD nrlogs);
RmonLog *ReNewRmonLog(RmonLog* ptr, WORD nrlogs, WORD oldnrlogs, WORD maxnrlogs);
VOID DelRmonLog(RmonLog* ptr);


#endif
