/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DTOPN_M_H
#define _DTOPN_M_H

                                                      
#include <dnpap.h>
#include <snmp.h>
#include <dhostx.h>


BOOLEAN DnpapTopNMInit(VOID);

WORD DnpapHostTopNControlIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNHostIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNRateBase(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNTimeRemaining(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNDuration(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNRequestedSize(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNGrantedSize(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNStartTime(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNOwner(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNStatus(SNMP_OBJECT *obj, WORD idlen);

WORD DnpapHostTopNReport(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapHostTopNRate(SNMP_OBJECT *obj, WORD idlen);

BOOLEAN DnpapTopNEntryReset(LONG hostcontrolindex, DNPAP_HOST *host, WORD addrlen);
BOOLEAN DnpapTopNEntryUpdate(LONG hostcontrolindex, DNPAP_HOST *host, WORD addrlen);

BOOLEAN DnpapTopNHostStop(LONG hostcontrolindex);


#endif
