/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/************************************************************************
 ** MODULE INFORMATION*
 **********************
 **     FILE     NAME:       MIB.H
 **     SYSTEM   NAME:       Sage
 **     ORIGINAL AUTHOR(S):  Jan van Oorschot
 **     VERSION  NUMBER:     1.00
 **     CREATION DATE:       
 **
 ** DESCRIPTION: include file for the MIB library
 **     Only includes the api's
 *************************************************************************
 ** CHANGES INFORMATION **
 *************************
 ** REVISION:    $Revision$
 ** WORKFILE:    $Workfile$
 ** LOGINFO:     $Log$
 *************************************************************************/
#if defined(__STDC__) || defined(__cplusplus)
#ifndef __
#define __(a) a
#endif
#else
#ifndef __
#define __(a) ()
#endif
#endif

int MibInit(void);
int MibFullMib(void);
int MibReadMib(FILE * fp);
int MibName2ID(LONG * id, CONST char *name);
CONST char *MibID2Name(CONST LONG * id, CONST int nr);
CONST char *MibID2Name2(CONST LONG * id, CONST int nr, int *nrmatched);
int MibIDType(CONST LONG * id, CONST int nr);
int MibIDMode(CONST LONG * id, CONST int nr);
int MibIDStatus(CONST LONG * id, CONST int nr);
int MibIDInfo(CONST LONG * id, CONST int nr, char *res);
int MibNameType(CONST char *name);
int MibNameMode(CONST char *name);
int MibNameStatus(CONST char *name);

CONST char *MibGetFirstChild(CONST char *name);
CONST char *MibGetNextChild(CONST char *name);
